Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2.impl
Class POCDMT000040ObservationImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ohf.ihe.common.cdar2.impl.POCDMT000040ObservationImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, POCDMT000040Observation

    public class POCDMT000040ObservationImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements POCDMT000040Observation

An implementation of the model object 'POCDMT000040 Observation'.

The following features are implemented:

- `Realm Code`
- `Type Id`
- `Template Id`
- `Id`
- `Code`
- `Derivation Expr`
- `Text`
- `Status Code`
- `Effective Time`
- `Priority Code`
- `Repeat Number`
- `Language Code`
- `Value`
- `Interpretation Code`
- `Method Code`
- `Target Site Code`
- `Subject`
- `Specimen`
- `Performer`
- `Author`
- `Informant`
- `Participant`
- `Entry Relationship`
- `Reference`
- `Precondition`
- `Reference Range`
- `Class Code`
- `Mood Code`
- `Negation Ind`
- `Null Flavor`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetCode(CD newCode, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetDerivationExpr(ST1 newDerivationExpr, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetEffectiveTime(IVLTS newEffectiveTime, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetLanguageCode(CS1 newLanguageCode, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetPriorityCode(CE newPriorityCode, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetRepeatNumber(IVLINT newRepeatNumber, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetStatusCode(CS1 newStatusCode, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetSubject(POCDMT000040Subject newSubject, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetText(ED newText, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetTypeId(POCDMT000040InfrastructureRootTypeId newTypeId, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`org.eclipse.emf.common.util.EList` | `getAuthor()`
`org.eclipse.emf.common.util.Enumerator` | `getClassCode()`
`CD` | `getCode()`
`ST1` | `getDerivationExpr()`
`IVLTS` | `getEffectiveTime()`
`org.eclipse.emf.common.util.EList` | `getEntryRelationship()`
`org.eclipse.emf.common.util.EList` | `getId()`
`org.eclipse.emf.common.util.EList` | `getInformant()`
`org.eclipse.emf.common.util.EList` | `getInterpretationCode()`
`CS1` | `getLanguageCode()`
`org.eclipse.emf.common.util.EList` | `getMethodCode()`
`XActMoodDocumentObservation` | `getMoodCode()`
`org.eclipse.emf.common.util.Enumerator` | `getNullFlavor()`
`org.eclipse.emf.common.util.EList` | `getParticipant()`
`org.eclipse.emf.common.util.EList` | `getPerformer()`
`org.eclipse.emf.common.util.EList` | `getPrecondition()`
`CE` | `getPriorityCode()`
`org.eclipse.emf.common.util.EList` | `getRealmCode()`
`org.eclipse.emf.common.util.EList` | `getReference()`
`org.eclipse.emf.common.util.EList` | `getReferenceRange()`
`IVLINT` | `getRepeatNumber()`
`org.eclipse.emf.common.util.EList` | `getSpecimen()`
`CS1` | `getStatusCode()`
`POCDMT000040Subject` | `getSubject()`
`org.eclipse.emf.common.util.EList` | `getTargetSiteCode()`
`org.eclipse.emf.common.util.EList` | `getTemplateId()`
`ED` | `getText()`
`POCDMT000040InfrastructureRootTypeId` | `getTypeId()`
`org.eclipse.emf.common.util.EList` | `getValue()`
`boolean` | `isNegationInd()`
`boolean` | `isSetMoodCode()`
`boolean` | `isSetNegationInd()`
`void` | `setClassCode(org.eclipse.emf.common.util.Enumerator newClassCode)`
`void` | `setCode(CD newCode)`
`void` | `setDerivationExpr(ST1 newDerivationExpr)`
`void` | `setEffectiveTime(IVLTS newEffectiveTime)`
`void` | `setLanguageCode(CS1 newLanguageCode)`
`void` | `setMoodCode(XActMoodDocumentObservation newMoodCode)`
`void` | `setNegationInd(boolean newNegationInd)`
`void` | `setNullFlavor(org.eclipse.emf.common.util.Enumerator newNullFlavor)`
`void` | `setPriorityCode(CE newPriorityCode)`
`void` | `setRepeatNumber(IVLINT newRepeatNumber)`
`void` | `setStatusCode(CS1 newStatusCode)`
`void` | `setSubject(POCDMT000040Subject newSubject)`
`void` | `setText(ED newText)`
`void` | `setTypeId(POCDMT000040InfrastructureRootTypeId newTypeId)`
`java.lang.String` | `toString()`
`void` | `unsetMoodCode()`
`void` | `unsetNegationInd()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getRealmCode

    public org.eclipse.emf.common.util.EList getRealmCode()

  Specified by:
    `getRealmCode` in interface `POCDMT000040Observation`
  Returns:
    the value of the 'Realm Code' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Observation_RealmCode()`

### getTypeId

    public POCDMT000040InfrastructureRootTypeId getTypeId()

  Specified by:
    `getTypeId` in interface `POCDMT000040Observation`
  Returns:
    the value of the 'Type Id' containment reference.
  See Also:
    `POCDMT000040Observation.setTypeId(POCDMT000040InfrastructureRootTypeId)`, `CDAR2Package.getPOCDMT000040Observation_TypeId()`

### basicSetTypeId

    public org.eclipse.emf.common.notify.NotificationChain basicSetTypeId(POCDMT000040InfrastructureRootTypeId newTypeId,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

### setTypeId

    public void setTypeId(POCDMT000040InfrastructureRootTypeId newTypeId)

  Specified by:
    `setTypeId` in interface `POCDMT000040Observation`
  Parameters:
    `newTypeId` - the new value of the 'Type Id' containment reference.
  See Also:
    `POCDMT000040Observation.getTypeId()`

### getTemplateId

    public org.eclipse.emf.common.util.EList getTemplateId()

  Specified by:
    `getTemplateId` in interface `POCDMT000040Observation`
  Returns:
    the value of the 'Template Id' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Observation_TemplateId()`

### getId

    public org.eclipse.emf.common.util.EList getId()

  Specified by:
    `getId` in interface `POCDMT000040Observation`
  Returns:
    the value of the 'Id' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Observation_Id()`

### getCode

    public CD getCode()

  Specified by:
    `getCode` in interface `POCDMT000040Observation`
  Returns:
    the value of the 'Code' containment reference.
  See Also:
    `POCDMT000040Observation.setCode(CD)`, `CDAR2Package.getPOCDMT000040Observation_Code()`

### basicSetCode

    public org.eclipse.emf.common.notify.NotificationChain basicSetCode(CD newCode,
                                                                        org.eclipse.emf.common.notify.NotificationChain msgs)

### setCode

    public void setCode(CD newCode)

  Specified by:
    `setCode` in interface `POCDMT000040Observation`
  Parameters:
    `newCode` - the new value of the 'Code' containment reference.
  See Also:
    `POCDMT000040Observation.getCode()`

### getDerivationExpr

    public ST1 getDerivationExpr()

  Specified by:
    `getDerivationExpr` in interface `POCDMT000040Observation`
  Returns:
    the value of the 'Derivation Expr' containment reference.
  See Also:
    `POCDMT000040Observation.setDerivationExpr(ST1)`, `CDAR2Package.getPOCDMT000040Observation_DerivationExpr()`

### basicSetDerivationExpr

    public org.eclipse.emf.common.notify.NotificationChain basicSetDerivationExpr(ST1 newDerivationExpr,
                                                                                  org.eclipse.emf.common.notify.NotificationChain msgs)

### setDerivationExpr

    public void setDerivationExpr(ST1 newDerivationExpr)

  Specified by:
    `setDerivationExpr` in interface `POCDMT000040Observation`
  Parameters:
    `newDerivationExpr` - the new value of the 'Derivation Expr' containment reference.
  See Also:
    `POCDMT000040Observation.getDerivationExpr()`

### getText

    public ED getText()

  Specified by:
    `getText` in interface `POCDMT000040Observation`
  Returns:
    the value of the 'Text' containment reference.
  See Also:
    `POCDMT000040Observation.setText(ED)`, `CDAR2Package.getPOCDMT000040Observation_Text()`

### basicSetText

    public org.eclipse.emf.common.notify.NotificationChain basicSetText(ED newText,
                                                                        org.eclipse.emf.common.notify.NotificationChain msgs)

### setText

    public void setText(ED newText)

  Specified by:
    `setText` in interface `POCDMT000040Observation`
  Parameters:
    `newText` - the new value of the 'Text' containment reference.
  See Also:
    `POCDMT000040Observation.getText()`

### getStatusCode

    public CS1 getStatusCode()

  Specified by:
    `getStatusCode` in interface `POCDMT000040Observation`
  Returns:
    the value of the 'Status Code' containment reference.
  See Also:
    `POCDMT000040Observation.setStatusCode(CS1)`, `CDAR2Package.getPOCDMT000040Observation_StatusCode()`

### basicSetStatusCode

    public org.eclipse.emf.common.notify.NotificationChain basicSetStatusCode(CS1 newStatusCode,
                                                                              org.eclipse.emf.common.notify.NotificationChain msgs)

### setStatusCode

    public void setStatusCode(CS1 newStatusCode)

  Specified by:
    `setStatusCode` in interface `POCDMT000040Observation`
  Parameters:
    `newStatusCode` - the new value of the 'Status Code' containment reference.
  See Also:
    `POCDMT000040Observation.getStatusCode()`

### getEffectiveTime

    public IVLTS getEffectiveTime()

  Specified by:
    `getEffectiveTime` in interface `POCDMT000040Observation`
  Returns:
    the value of the 'Effective Time' containment reference.
  See Also:
    `POCDMT000040Observation.setEffectiveTime(IVLTS)`, `CDAR2Package.getPOCDMT000040Observation_EffectiveTime()`

### basicSetEffectiveTime

    public org.eclipse.emf.common.notify.NotificationChain basicSetEffectiveTime(IVLTS newEffectiveTime,
                                                                                 org.eclipse.emf.common.notify.NotificationChain msgs)

### setEffectiveTime

    public void setEffectiveTime(IVLTS newEffectiveTime)

  Specified by:
    `setEffectiveTime` in interface `POCDMT000040Observation`
  Parameters:
    `newEffectiveTime` - the new value of the 'Effective Time' containment reference.
  See Also:
    `POCDMT000040Observation.getEffectiveTime()`

### getPriorityCode

    public CE getPriorityCode()

  Specified by:
    `getPriorityCode` in interface `POCDMT000040Observation`
  Returns:
    the value of the 'Priority Code' containment reference.
  See Also:
    `POCDMT000040Observation.setPriorityCode(CE)`, `CDAR2Package.getPOCDMT000040Observation_PriorityCode()`

### basicSetPriorityCode

    public org.eclipse.emf.common.notify.NotificationChain basicSetPriorityCode(CE newPriorityCode,
                                                                                org.eclipse.emf.common.notify.NotificationChain msgs)

### setPriorityCode

    public void setPriorityCode(CE newPriorityCode)

  Specified by:
    `setPriorityCode` in interface `POCDMT000040Observation`
  Parameters:
    `newPriorityCode` - the new value of the 'Priority Code' containment reference.
  See Also:
    `POCDMT000040Observation.getPriorityCode()`

### getRepeatNumber

    public IVLINT getRepeatNumber()

  Specified by:
    `getRepeatNumber` in interface `POCDMT000040Observation`
  Returns:
    the value of the 'Repeat Number' containment reference.
  See Also:
    `POCDMT000040Observation.setRepeatNumber(IVLINT)`, `CDAR2Package.getPOCDMT000040Observation_RepeatNumber()`

### basicSetRepeatNumber

    public org.eclipse.emf.common.notify.NotificationChain basicSetRepeatNumber(IVLINT newRepeatNumber,
                                                                                org.eclipse.emf.common.notify.NotificationChain msgs)

### setRepeatNumber

    public void setRepeatNumber(IVLINT newRepeatNumber)

  Specified by:
    `setRepeatNumber` in interface `POCDMT000040Observation`
  Parameters:
    `newRepeatNumber` - the new value of the 'Repeat Number' containment reference.
  See Also:
    `POCDMT000040Observation.getRepeatNumber()`

### getLanguageCode

    public CS1 getLanguageCode()

  Specified by:
    `getLanguageCode` in interface `POCDMT000040Observation`
  Returns:
    the value of the 'Language Code' containment reference.
  See Also:
    `POCDMT000040Observation.setLanguageCode(CS1)`, `CDAR2Package.getPOCDMT000040Observation_LanguageCode()`

### basicSetLanguageCode

    public org.eclipse.emf.common.notify.NotificationChain basicSetLanguageCode(CS1 newLanguageCode,
                                                                                org.eclipse.emf.common.notify.NotificationChain msgs)

### setLanguageCode

    public void setLanguageCode(CS1 newLanguageCode)

  Specified by:
    `setLanguageCode` in interface `POCDMT000040Observation`
  Parameters:
    `newLanguageCode` - the new value of the 'Language Code' containment reference.
  See Also:
    `POCDMT000040Observation.getLanguageCode()`

### getValue

    public org.eclipse.emf.common.util.EList getValue()

  Specified by:
    `getValue` in interface `POCDMT000040Observation`
  Returns:
    the value of the 'Value' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Observation_Value()`

### getInterpretationCode

    public org.eclipse.emf.common.util.EList getInterpretationCode()

  Specified by:
    `getInterpretationCode` in interface `POCDMT000040Observation`
  Returns:
    the value of the 'Interpretation Code' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Observation_InterpretationCode()`

### getMethodCode

    public org.eclipse.emf.common.util.EList getMethodCode()

  Specified by:
    `getMethodCode` in interface `POCDMT000040Observation`
  Returns:
    the value of the 'Method Code' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Observation_MethodCode()`

### getTargetSiteCode

    public org.eclipse.emf.common.util.EList getTargetSiteCode()

  Specified by:
    `getTargetSiteCode` in interface `POCDMT000040Observation`
  Returns:
    the value of the 'Target Site Code' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Observation_TargetSiteCode()`

### getSubject

    public POCDMT000040Subject getSubject()

  Specified by:
    `getSubject` in interface `POCDMT000040Observation`
  Returns:
    the value of the 'Subject' containment reference.
  See Also:
    `POCDMT000040Observation.setSubject(POCDMT000040Subject)`, `CDAR2Package.getPOCDMT000040Observation_Subject()`

### basicSetSubject

    public org.eclipse.emf.common.notify.NotificationChain basicSetSubject(POCDMT000040Subject newSubject,
                                                                           org.eclipse.emf.common.notify.NotificationChain msgs)

### setSubject

    public void setSubject(POCDMT000040Subject newSubject)

  Specified by:
    `setSubject` in interface `POCDMT000040Observation`
  Parameters:
    `newSubject` - the new value of the 'Subject' containment reference.
  See Also:
    `POCDMT000040Observation.getSubject()`

### getSpecimen

    public org.eclipse.emf.common.util.EList getSpecimen()

  Specified by:
    `getSpecimen` in interface `POCDMT000040Observation`
  Returns:
    the value of the 'Specimen' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Observation_Specimen()`

### getPerformer

    public org.eclipse.emf.common.util.EList getPerformer()

  Specified by:
    `getPerformer` in interface `POCDMT000040Observation`
  Returns:
    the value of the 'Performer' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Observation_Performer()`

### getAuthor

    public org.eclipse.emf.common.util.EList getAuthor()

  Specified by:
    `getAuthor` in interface `POCDMT000040Observation`
  Returns:
    the value of the 'Author' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Observation_Author()`

### getInformant

    public org.eclipse.emf.common.util.EList getInformant()

  Specified by:
    `getInformant` in interface `POCDMT000040Observation`
  Returns:
    the value of the 'Informant' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Observation_Informant()`

### getParticipant

    public org.eclipse.emf.common.util.EList getParticipant()

  Specified by:
    `getParticipant` in interface `POCDMT000040Observation`
  Returns:
    the value of the 'Participant' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Observation_Participant()`

### getEntryRelationship

    public org.eclipse.emf.common.util.EList getEntryRelationship()

  Specified by:
    `getEntryRelationship` in interface `POCDMT000040Observation`
  Returns:
    the value of the 'Entry Relationship' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Observation_EntryRelationship()`

### getReference

    public org.eclipse.emf.common.util.EList getReference()

  Specified by:
    `getReference` in interface `POCDMT000040Observation`
  Returns:
    the value of the 'Reference' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Observation_Reference()`

### getPrecondition

    public org.eclipse.emf.common.util.EList getPrecondition()

  Specified by:
    `getPrecondition` in interface `POCDMT000040Observation`
  Returns:
    the value of the 'Precondition' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Observation_Precondition()`

### getReferenceRange

    public org.eclipse.emf.common.util.EList getReferenceRange()

  Specified by:
    `getReferenceRange` in interface `POCDMT000040Observation`
  Returns:
    the value of the 'Reference Range' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040Observation_ReferenceRange()`

### getClassCode

    public org.eclipse.emf.common.util.Enumerator getClassCode()

  Specified by:
    `getClassCode` in interface `POCDMT000040Observation`
  Returns:
    the value of the 'Class Code' attribute.
  See Also:
    `POCDMT000040Observation.setClassCode(Enumerator)`, `CDAR2Package.getPOCDMT000040Observation_ClassCode()`

### setClassCode

    public void setClassCode(org.eclipse.emf.common.util.Enumerator newClassCode)

  Specified by:
    `setClassCode` in interface `POCDMT000040Observation`
  Parameters:
    `newClassCode` - the new value of the 'Class Code' attribute.
  See Also:
    `POCDMT000040Observation.getClassCode()`

### getMoodCode

    public XActMoodDocumentObservation getMoodCode()

  Specified by:
    `getMoodCode` in interface `POCDMT000040Observation`
  Returns:
    the value of the 'Mood Code' attribute.
  See Also:
    `XActMoodDocumentObservation`, `POCDMT000040Observation.isSetMoodCode()`, `POCDMT000040Observation.unsetMoodCode()`, `POCDMT000040Observation.setMoodCode(XActMoodDocumentObservation)`, `CDAR2Package.getPOCDMT000040Observation_MoodCode()`

### setMoodCode

    public void setMoodCode(XActMoodDocumentObservation newMoodCode)

  Specified by:
    `setMoodCode` in interface `POCDMT000040Observation`
  Parameters:
    `newMoodCode` - the new value of the 'Mood Code' attribute.
  See Also:
    `XActMoodDocumentObservation`, `POCDMT000040Observation.isSetMoodCode()`, `POCDMT000040Observation.unsetMoodCode()`, `POCDMT000040Observation.getMoodCode()`

### unsetMoodCode

    public void unsetMoodCode()

  Specified by:
    `unsetMoodCode` in interface `POCDMT000040Observation`
  See Also:
    `POCDMT000040Observation.isSetMoodCode()`, `POCDMT000040Observation.getMoodCode()`, `POCDMT000040Observation.setMoodCode(XActMoodDocumentObservation)`

### isSetMoodCode

    public boolean isSetMoodCode()

  Specified by:
    `isSetMoodCode` in interface `POCDMT000040Observation`
  Returns:
    whether the value of the 'Mood Code' attribute is set.
  See Also:
    `POCDMT000040Observation.unsetMoodCode()`, `POCDMT000040Observation.getMoodCode()`, `POCDMT000040Observation.setMoodCode(XActMoodDocumentObservation)`

### isNegationInd

    public boolean isNegationInd()

  Specified by:
    `isNegationInd` in interface `POCDMT000040Observation`
  Returns:
    the value of the 'Negation Ind' attribute.
  See Also:
    `POCDMT000040Observation.isSetNegationInd()`, `POCDMT000040Observation.unsetNegationInd()`, `POCDMT000040Observation.setNegationInd(boolean)`, `CDAR2Package.getPOCDMT000040Observation_NegationInd()`

### setNegationInd

    public void setNegationInd(boolean newNegationInd)

  Specified by:
    `setNegationInd` in interface `POCDMT000040Observation`
  Parameters:
    `newNegationInd` - the new value of the 'Negation Ind' attribute.
  See Also:
    `POCDMT000040Observation.isSetNegationInd()`, `POCDMT000040Observation.unsetNegationInd()`, `POCDMT000040Observation.isNegationInd()`

### unsetNegationInd

    public void unsetNegationInd()

  Specified by:
    `unsetNegationInd` in interface `POCDMT000040Observation`
  See Also:
    `POCDMT000040Observation.isSetNegationInd()`, `POCDMT000040Observation.isNegationInd()`, `POCDMT000040Observation.setNegationInd(boolean)`

### isSetNegationInd

    public boolean isSetNegationInd()

  Specified by:
    `isSetNegationInd` in interface `POCDMT000040Observation`
  Returns:
    whether the value of the 'Negation Ind' attribute is set.
  See Also:
    `POCDMT000040Observation.unsetNegationInd()`, `POCDMT000040Observation.isNegationInd()`, `POCDMT000040Observation.setNegationInd(boolean)`

### getNullFlavor

    public org.eclipse.emf.common.util.Enumerator getNullFlavor()

  Specified by:
    `getNullFlavor` in interface `POCDMT000040Observation`
  Returns:
    the value of the 'Null Flavor' attribute.
  See Also:
    `POCDMT000040Observation.setNullFlavor(Enumerator)`, `CDAR2Package.getPOCDMT000040Observation_NullFlavor()`

### setNullFlavor

    public void setNullFlavor(org.eclipse.emf.common.util.Enumerator newNullFlavor)

  Specified by:
    `setNullFlavor` in interface `POCDMT000040Observation`
  Parameters:
    `newNullFlavor` - the new value of the 'Null Flavor' attribute.
  See Also:
    `POCDMT000040Observation.getNullFlavor()`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD